from games.objects.AGame import AGame

from ..APlayer import APlayer

from django.contrib.auth.models import User

from channels.generic.websocket import WebsocketConsumer

class TicTacToePlayer(APlayer):
    def __init__(self, user: User, socket: WebsocketConsumer, game: AGame, sign):
        super().__init__(user, socket, game)
        self.sign = sign
        self.currentMorpion = 4
        self.timestamp = None